Subject: Re: v2.22.1 and later regression wrt display of progress indicators

From: Taylor Blau <[email-masked]>
Date: Thu, 22 Aug 2019 13:16:09 -0400

Hi,

On Thu, Aug 22, 2019 at 06:07:02PM +0200, SZEDER Gábor wrote:
> On Thu, Aug 22, 2019 at 10:20:08AM -0400, Charles Diza wrote:
> > By 2.22.1 at the latest (and continuing into 2.23.0) there is a
> > problem with the display of progress indication during `git pull`
> > (and possibly other commands, I don't know).
> >
> > I'm on macOS, and this happens in both Terminal.app and iTerm2.app,
> > on both macOS 10.13.6 and 10.14.6:  In a standard 80-column wide
> > terminal window, cd into a git repo and do `git pull`.  The chances
> > are high (though not 100%) that one will see this:
>
> I noticed this today when pushing to GitHub (I suppose they have very
> recently upgraded?) from Linux, so this is neither specific to 'git
> pull' nor to macOS.

There's already lots of discussion later on in the thread (which I'm
reading now), but I just wanted to reply to this hunk to say 'thanks'
for pointing out the issue in the first place.

> I'm sure the culprits are commits cd1096b282 (pager: add a helper
> function to clear the last line in the terminal, 2019-06-24) and
> 5b12e3123b (progress: use term_clear_line(), 2019-06-24) with the
> added complication of communicating with a remote.

Thanks also for pointing out the culprits here and saving me a
bisection.

If you're curious, I only reverted 5b12e3123b (progress: use
term_clear_line(), 2019-06-24), not the former.

> [snip]

Thanks,
Taylor